name: ressource_relationnel
description: A new Flutter application.

# The following line prevents the package from being accidentally published to
# pub.dev using `pub publish`. This is preferred for private packages.
publish_to: 'none' # Remove this line if you wish to publish to pub.dev

# The following defines the version and build number for your application.
# A version number is three numbers separated by dots, like 1.2.43
# followed by an optional build number separated by a +.
# Both the version and the builder number may be overridden in flutter
# build by specifying --build-name and --build-number, respectively.
# In Android, build-name is used as versionName while build-number used as versionCode.
# Read more about Android versioning at https://developer.android.com/studio/publish/versioning
# In iOS, build-name is used as CFBundleShortVersionString while build-number used as CFBundleVersion.
# Read more about iOS versioning at
# https://developer.apple.com/library/archive/documentation/General/Reference/InfoPlistKeyReference/Articles/CoreFoundationKeys.html
version: 1.0.0+1

environment:
  sdk: ">=2.7.0 <3.0.0"

dependencies:
  flutter:
    sdk: flutter
  get: ^3.15.0
  dio: ^3.0.10
  flutter_form_builder: ^3.14.1
  json_serializable: ^3.5.0
  json_annotation: ^3.1.0
  image_picker: ^0.6.7+14
  mobx: ^1.2.1+4
  flutter_mobx: ^1.1.0+2
  provider: ^4.3.2+2
  http_parser: ^3.1.4
  flutter_native_splash: ^0.1.9
  flutter_slidable: ^0.5.7
  flutter_localizations:
    sdk: flutter
  i18n_extension: ^1.4.2
  logger: ^0.9.4
  auto_size_text: ^2.1.0
  flushbar: ^1.10.4
  font_awesome_flutter: ^8.10.1
  flappy_search_bar: ^1.7.2
  analyzer: ^0.41.1
  shared_preferences: ^0.5.12+4
  fluttertoast: ^7.1.6
  url_launcher: ^5.7.10
  flutter_html: ^1.2.0
  google_fonts: ^1.1.2

flutter_native_splash:
  image: ..\ressource_relationnel\assets\images\ressource_splash_screen.png
  color: "#FFFFFFFF"
  fill: true





  # The following adds the Cupertino Icons font to your application.
  # Use with the CupertinoIcons class for iOS style icons.
  cupertino_icons: ^0.1.3

dev_dependencies:
  flutter_test:
    sdk: flutter
  build_runner: ^1.10.4
  mobx_codegen: ^1.1.1+1

# For information on the generic Dart part of this file, see the
# following page: https://dart.dev/tools/pub/pubspec

# The following section is specific to Flutter.
flutter:

  # The following line ensures that the Material Icons font is
  # included with your application, so that you can use the icons in
  # the material Icons class.
  uses-material-design: true

  # To add assets to your application, add an assets section, like this:
  assets:
    - assets/images/
    - assets/i18n/
  #   - images/a_dot_ham.jpeg

  # An image asset can refer to one or more resolution-specific "variants", see
  # https://flutter.dev/assets-and-images/#resolution-aware.

  # For details regarding adding assets from package dependencies, see
  # https://flutter.dev/assets-and-images/#from-packages

  # To add custom fonts to your application, add a fonts section here,
  # in this "flutter" section. Each entry in this list should have a
  # "family" key with the font family name, and a "fonts" key with a
  # list giving the asset and other descriptors for the font. For
  # example:
  # fonts:
  #   - family: Schyler
  #     fonts:
  #       - asset: fonts/Schyler-Regular.ttf
  #       - asset: fonts/Schyler-Italic.ttf
  #         style: italic
  #   - family: Trajan Pro
  #     fonts:
  #       - asset: fonts/TrajanPro.ttf
  #       - asset: fonts/TrajanPro_Bold.ttf
  #         weight: 700
  #
  # For details regarding fonts from package dependencies,
  # see https://flutter.dev/custom-fonts/#from-packages
